# CS_algorithms

Computer Science dataStructures and algurithms



https://cses.fi/book/book.pdf
https://github.com/Errichto/youtube

	1. Code wars
	2. Codeforces - https://codeforces.com/ 
	3. AtCoder
	4. Codechef

for improving Maths skills - https://projecteuler.net/